Loading...
Searching...
No Matches
Gudhi::zigzag_persistence::FilteredZigzagOptions Struct Reference
Zigzag Persistence

List of options used for the filtered zigzag persistence computation. More...

`#include <concept/Zigzag_persistence/ZigzagOptions.h>`

## Public Types

using | Internal_key = unspecified
| Numerical type for the cell IDs used internally and other indexations. It must be signed.
using | Cell_key = unspecified
| Type for the cell IDs used at insertion and in the boundaries given as argument. Has to be usable as key in a hashtable, so "hashable" and comparable.
using | Filtration_value = unspecified
| Type for filtration values.
using | Dimension = unspecified
| Type for the dimension values.

## Static Public Attributes

static const Gudhi::persistence_matrix::Column_types | column_type
| Column type used by the internal matrix.

## Detailed Description

List of options used for the filtered zigzag persistence computation.

The documentation for this struct was generated from the following file:

- concept/Zigzag_persistence/ZigzagOptions.h